> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/adjustments.md).

# Adjustments

The adjustment object and the allowed CRUD operations on the related resource endpoint

Adjustments are arbitrary objects that can be used to change the total amount of an order by any value, either greater or lower than zero.

To add an adjustment to an order, you first need to create the adjustment and then create a line item that references it.

Unless you set the `distribute_discount` attribute to `false` (default is `true`) at the single adjustment level, negative adjustment amounts are distributed as discounts on all the [taxable items](/core-api-reference/orders.md#taxable-items) of the order based on the ratio between the line item amount and the sum of the amounts of all the line items involved.

{% hint style="info" %}
For negative adjustment amounts to be effective, they must be added to an order that already has a total amount greater than zero (i.e. after having added one or more line items of type `skus` and/or `bundles`).
{% endhint %}

{% hint style="warning" %}
Negative adjustment amounts are applied **before** any kind of [promotion](/core-api-reference/promotions.md) and/or [gift cards](/core-api-reference/gift_cards.md) used to pay for the associated order (e.g. if you add an adjustment that brings the total order amount to zero, no promotion will have any effect).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/adjustments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
